# Uses of Interface
org.bukkit.entity.Dolphin

Packages that use Dolphin
Package
Description
com.destroystokyo.paper.entity.ai

## Uses of Dolphin in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Dolphin
Modifier and Type
Field
Description
`static final GoalKey<Dolphin>`
VanillaGoal.`DOLPHIN_JUMP`
`static final GoalKey<Dolphin>`
VanillaGoal.`DOLPHIN_PLAY_WITH_ITEMS`
Deprecated.
`static final GoalKey<Dolphin>`
VanillaGoal.`DOLPHIN_SWIM_TO_TREASURE`
`static final GoalKey<Dolphin>`
VanillaGoal.`DOLPHIN_SWIM_WITH_PLAYER`
`static final GoalKey<Dolphin>`
VanillaGoal.`PLAY_WITH_ITEMS`
`static final GoalKey<Dolphin>`
VanillaGoal.`WATER_JUMP`
Deprecated.